﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingManagementView
@{
    ViewData["Title"] = "Owner's Reservations - Remaining CheckIn";
}
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">

    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}



@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Owner's Reservations (Remaining CheckIn)
}
<!DOCTYPE html>
<div class="card" style="margin-bottom: 0">
    <h2 class="text-center mt-3" style="color:indianred">@ViewData["Title"]</h2>
    <h2 class="text-center mt-3" style="color:indianred">for Date @Model.Date</h2>
    <div class="card-body">


        <div class="table-responsive-lg" id="table">
            @{
                int noOfbooking = Model.OwnerRoomBookingListCurrent.Count();
            }
            @if (noOfbooking != 0)
                {
                    <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                        <thead style="color: white; background-color:#315152">

                        <tr>
                            @*<th scope="col">View</th>*@

                            <th scope="col">Booking Application Date</th>
                            <th scope="col">Booking No.</th>
                            <th scope="col">Slot Id</th>
                            <th scope="col">Main Guest Name</th>
                            <th scope="col">Main Guest Mobile</th>
                            @*<th scope="col">Main Guest Email</th>*@
                            <th scope="col">No of Adult</th>
                            <th scope="col">No of Child</th>
                            <th scope="col">No of Room</th>
                            <th scope="col">Arrival Date</th>
                            <th scope="col">Departure Date</th>
                            <th scope="col">Booking Status</th>
                            <th scope="col">Checked In or Not</th>

                            <th scope="col">Confirm</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var ownerRoomBooking in Model.OwnerRoomBookingListCurrent)
                        {
                            <tr>

                                <td>@ownerRoomBooking.ApplicationDate.ToString("dd-MMM-yyyy hh:mm tt")</td>
                                @if (ownerRoomBooking.BookingToken == "" || ownerRoomBooking.BookingToken == null)
                                {
                                    <td>Not Assigned</td>
                                }
                                else
                                {
                                    <td>@ownerRoomBooking.BookingToken</td>
                                }
                                <td>@ownerRoomBooking.SlotId</td>
                                <td>@ownerRoomBooking.GuestNameMain</td>
                                <td>@ownerRoomBooking.GuestMobile</td>
                                @*<td>@ownerRoomBooking.Email</td>*@
                                <td>@ownerRoomBooking.NoOfAdult</td>
                                <td>@ownerRoomBooking.NoOfChild</td>
                                <td>@ownerRoomBooking.NoOfRoomRequested</td>
                                @{
                                    var Startdate = (ownerRoomBooking.CheckInDate);
                                    var val1 = Startdate.ToString("dd-MMM-yyyy");
                                    <td>@val1</td>
                                }
                                @{
                                    var Enddate = Convert.ToDateTime(ownerRoomBooking.CheckOutDate);
                                    var val2 = Enddate.ToString("dd-MMM-yyyy");
                                    <td>@val2</td>
                                }

                                @if (ownerRoomBooking.IsBookingCompleted == "No")
                                {
                                    <td>Pending</td>
                                }
                                else if (ownerRoomBooking.IsBookingCompleted == "Yes")
                                {
                                    <td>Approved<i class="fa fa-check fa-2x" aria-hidden="true"></i></td>
                                }
                                else if (ownerRoomBooking.IsBookingCompleted == "Cancelled")
                                {
                                    <td>Cancelled<i class="fa fa-close fa-2x" aria-hidden="true"></i></td>
                                }
                                else
                                {
                                    @ownerRoomBooking.IsBookingCompleted
                                }
                                <td>@ownerRoomBooking.HasStayedOrNot</td>
                                <td>
                                    @if (ownerRoomBooking == Model.OwnerRoomBookingListCurrent.ElementAt(0))
                                    {
                                        <button class="btn btn-primary" data-target="#ConfirmModal-@ownerRoomBooking.OwnerRoomBookngId" data-toggle="modal"> Confirm </button>

                                        <div class="modal fade" tabindex="-1" id="ConfirmModal-@ownerRoomBooking.OwnerRoomBookngId" data-keyboard="false" data-backdrop="static">
                                            <div class="modal-dialog modal-lg">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal">
                                                            &times;
                                                        </button>
                                              
                                                    </div>
                                                    <div class="modal-body">

                                                        <form>
                                                            <div class="row">
                                                                <div class="col-sm-6 col-form-label d-flex justify-content-end">
                                                                    <div>
                                                                        <label>Owner Has Checked In or Not</label>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-6 col-lg-6 col-md-6 d-flex justify-content-start">
                                                                    <div class="w-50">
                                                                        @*@Html.TextBoxFor(m => m.HasStayedOrNot, new { @class = "form-control", placeholder = "", type = "text"})*@
                                                                        @Html.DropDownListFor(m => m.HasStayedOrNot, new SelectList(new List<string> { "No", "Yes" }), new { @id = "HasStayedOrNot", @class = "form-control" })
                                                                        <input type="hidden" name="name" id="OwnerRoomBookngId" value="@ownerRoomBooking.OwnerRoomBookngId" />
                                                                    </div>

                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-sm-6 col-form-label d-flex justify-content-end">
                                                                    <div>
                                                                        <label>Room No.</label>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-6 col-lg-6 col-md-6 d-flex justify-content-start">
                                                                    <div class="w-50">
                                                                        @Html.TextBox("PreferredRoomNo", "", new { @class = "form-control", placeholder = "" })
                                                                    </div>
                                                                </div>
                                                            </div>


                                                            <div class="row">

                                                                <div class="col-sm-6 col-form-label d-flex justify-content-end">
                                                                    <div>
                                                                        <label>Folio Number</label>
                                                                    </div>
                                                                </div>


                                                                <div class="col-sm-6 col-lg-6 col-md-6 d-flex justify-content-start">
                                                                    <div class="w-50">
                                                                        @Html.TextBoxFor(m => m.FolioNo, new { @class = "form-control", placeholder = "", type = "text", @id = "FolioNo" })
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            @*}*@
                                                        </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" class="btn btn-primary" id="ConfirmForm" onclick="bookingTokenSubmit()">Submit</button>
                                                        <button type="button" class="btn btn-primary"
                                                                data-dismiss="modal">
                                                            Close
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        @*}*@
                                    }
                                </td>

                            </tr>
                        }

                    </tbody>
                </table>
            }
            else
            {
                <h3 align="center">No Current Room Bookings</h3>

            }
        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0"></table>
        </div>
        <div class="text-center" id="message">

        </div>
      

        <div class="card-footer">
            <div class="text-right">
                @if (Model.OwnerRoomBookingListCurrent.Count == 0)
                {
                    <button type="submit" class="btn btn-primary" id="Next" onclick="Next()">Next</button>
                }
                else
                {
                    <button type="submit" class="btn btn-primary" id="Next" disabled>Next</button>
                }
            </div>
        </div>
    </div>

</div>

<script>
    function bookingTokenSubmit() {
        var ownerRoomBookingId = $('#OwnerRoomBookngId').val();
        var hasStayedOrNot = $("#HasStayedOrNot").val();
        var folioNo = $("#FolioNo").val();
        var PreferredRoomNo = $("#PreferredRoomNo").val();

        
        var myModel = {
            OwnerRoomBookngId: ownerRoomBookingId,
            FolioNo: folioNo,
            HasStayedOrNot: hasStayedOrNot,
            PreferredRoomNo: PreferredRoomNo
        };
        //alert("ID: = " + ownerRoomBookingId + "has Stayed Or Not: " + hasStayedOrNot);
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/HasCheckedInorNot/',
            data: myModel,
            success: function (result) {
                window.location.href = "/OwnersInfo/CheckRemainingCheckInManagement";
            },
            error: function () {
                //error();
            }
        });
    }
</script>
<script type="text/javascript">
        $("#Next").click(function () {
            window.location = '@Url.Action("OwnerAvgRoomRateCreate", "Configuration")' ;
                //alert(data);
            //window.location = "/OwnersInfo/CheckRemainingCheckInManagement";
            });
</script>
<script>


        var submitBookingForm = document.getElementById('ConfirmForm'),
        checkbox = document.getElementById('agreeTermsButton'),
        disableSubmit = function (e) {
            submitBookingForm.disabled = !this.checked
        };

    checkbox.addEventListener('change', disableSubmit);
</script>





<script>
    $("#" + @Model.index).addClass("active");
</script>



<script>
    $(document).ready(function() {
        var taskRoles = "@Model.TaskRoles";
        if (taskRoles[0] == '0') {
            $('table tr').find('td:eq(0),th:eq(0)').remove();
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(0),th:eq(0)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(0),th:eq(0)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            }
        } else {
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(1),th:eq(1)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(2),th:eq(2)').remove();
                }
            }
        }
        if (taskRoles[1] == '0') {
            $("#newItem").remove();
        }
    });
</script>
<script>
    $(document).ready(function() {
        
        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $("#saveItem").remove();
        $("#reportItem").remove();
        $('#printItem').click(function(){
            window.print();
        });
           @*$("#newItem").click(function() {
            document.location = '@Url.Action("BookingCreate", "OwnersInfo")';
        });*@
        $('#reloadItem').click(function() {
            location.reload();
        });
        @*$("#reportItem").click(function() {
         document.location = '@Url.Action("Report", "OwnersInfo")';
        });*@
        @*$("#reportItem").remove();*@
        @*$("#dashboardItem").click(function() {
            document.location = '@Url.Action("ExportExcel", "OwnersInfo")';
        });*@
        @*$("#reportItem").click(function() {
            document.location = '@Url.Action("RoomReport", "OwnersInfo")';
        });*@

    });


</script>
